http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/jobrunsStarts a job run. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.
The virtual cluster ID for which the job run request is submitted.
The name of the job run.
The tags assigned to job runs.
Specify the driver that the job runs on. Exactly one of the two available job drivers is required, either sparkSqlJobDriver or sparkSubmitJobDriver.
The client idempotency token of the job run request.
The Amazon EMR release version to use for the job run.
The job template ID to be used to start the job run.
The execution role ARN for the job run.
The values of job template parameters to start a job run.
A configuration specification to be used to override existing configurations.
The configuration of the retry policy that the job runs on.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/jobruns' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/jobrunsStarts a job run. A job run is a unit of work, such as a Spark jar, PySpark script, or SparkSQL query, that you submit to Amazon EMR on EKS.
The virtual cluster ID for which the job run request is submitted.
The name of the job run.
The tags assigned to job runs.
Specify the driver that the job runs on. Exactly one of the two available job drivers is required, either sparkSqlJobDriver or sparkSubmitJobDriver.
The client idempotency token of the job run request.
The Amazon EMR release version to use for the job run.
The job template ID to be used to start the job run.
The execution role ARN for the job run.
The values of job template parameters to start a job run.
A configuration specification to be used to override existing configurations.
The configuration of the retry policy that the job runs on.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/jobruns' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}